<?php
/**
@brief 指定された id の 宴会 を削除します
@author minahito
@version $Id$
*/

$xoopsOption['nocommon']=true;
include_once "../../mainfile.php";
require_once XOOPS_ROOT_PATH."/modules/exFrame/frameloader.php";
require_once "./class/global.php";

// Form を読み込む
require_once "exComponent/DeleteConfirm.php";
require_once "./include/PartyDelete.php";
require_once "./include/PartyConfirm.php";

// Session 開始
require_once XOOPS_ROOT_PATH."/include/common.php";
require_once XOOPS_ROOT_PATH."/header.php";

// リクエストは一種類なので、ActionForm を使用せずにこの場で処理を行う
$handler=&bxParty::getHandler('party');
$id = isset($_REQUEST['id']) ? intval($_REQUEST['id']) : 0;
$party=&$handler->get($id);
if(!is_object($party)) 
	redirect_header("./index.php",1,"無効な宴会 ID です");

// 権限
if(!$xoopsUser->isAdmin() && $party->getVar('uid')!=$xoopsUser->uid())
	redirect_header("./index.php",1,"削除する権限がありません");

// 画面遷移設定
$forwards=array(new exSuccessForwardConfig(EXFORWARD_REDIRECT,"index.php","削除を行いました"),
		new exFailForwardConfig(EXFORWARD_REDIRECT,"index.php","削除に失敗しました"));

$compo = new exDeleteConfirmTypicalComponent(new PartyDeleteProcessor(),
				new exConrimComponentModelRender(new DeletePartyConfirmRenderModel()),
				'bbs_delete',new exObjectConfirmTicketForm(),$forwards);

switch($compo->init($party,"この宴会を削除しますか?")) {
	case COMPONENT_INIT_FAIL:
		die;

	case COMPONENT_INIT_SUCCESS:
		$compo->display();
		break;
}

require_once XOOPS_ROOT_PATH."/footer.php";
?>
